API Reference
List saved queries
GET
/
query
List saved queries
curl --request GET \
--url https://api.reelevant.com/v2/statistics/query \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reelevant.com/v2/statistics/query"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reelevant.com/v2/statistics/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paginationCount": 123,
"paginationPage": 123,
"paginationLimit": 123,
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": [
{
"name": "<string>",
"queries": [
{
"measures": [
"<string>"
],
"dimensions": [
"<string>"
],
"filters": [
{
"operator": "equals",
"values": [
"<string>"
],
"dimension": "<string>",
"member": "<string>"
}
],
"timeDimensions": [
{
"dimension": "<string>",
"compareDateRange": [
"<string>"
],
"granularity": "<string>"
}
],
"limit": 123,
"order": {}
}
],
"schedule": {},
"companyId": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Filter on queries that contains that string in the name
Required range:
x >= 1Required range:
x >= 1Response
200 - application/json
Ok
Was this page helpful?
⌘I
List saved queries
